---
title: 'Review: Tapworthy'
created_at: 15-05-2011
---

![Tapworthy](https://zeus.ugent.be/wp-content/uploads/2011/04/tapworthy-228x300.jpg){:class="alignright"}

As an [O'Reilly User Group](https://zeus.ugent.be/kelder/bibliotheek/) we regularly get to review books for them. This time, [Nicolas Overloop](https://pictonation.com/) read [Tapworthy: Designing Great iPhone Apps](https://oreilly.com/catalog/0636920001133) and wrote the following review.

I haven't developed a single mobile application in my life but I have wanted to do this for a long time. The possibilities of mobile and tablet applications are huge and we have only scratched the surface of its possibilities. I learned about tapworthy on [inspireux.com](https://www.inspireux.com/) when I was learning about UX-design fundamentals.

**tl;dr:** Tapworthy is a must-read if you want to build mobile applications.

<!-- more -->

As a fledgling mobile developer I was keen on learning from the experts and as this book will show you, Josh Clark is an expert. The book itself is accessible to laymen and is exceptionally well-written.

Some important points that I remember after reading this book: first of all, apps are not used as normal software and you should not design it like that. App users are distracted, driving, walking and not paying full attention to what is on the screen. Josh Clark gives an excellent rundown on how that affects usability design. App users are bored, fickle and disloyal and it's hard to keep their attention, the most important thing to keep in mind when designing the user experience is that you want your app to be focussed, simple and every tap should be useful and rewarding.

It helps to map out all the use case scenarios, which in my opinion you should do for any type of application for real users, and optimize everything for these scenarios. Kill unnecessary features, remove bloat, just make it as simple as possible for users to do whatever your app is supposed to do. Josh Clark points out three mobile mindsets of users when they launch apps: I'm micro-tasking, I'm local or I'm bored (Micro-tasking is doing stuff like updating your calendar, writing a note, checking email, local is getting information on your environment)

You should keep these mindsets in mind when you design the app, local apps are used more on the go and thus never have the users' full attention. This is compounded by the fact that a touchscreen is tiny and mostly controlled by the thumb. Keep interface elements to a minimum, hide them behind panels if possible and make sure your buttons are large enough to be hit by a clumpsy thumb. A 44 pixel height is the recommended height for a tap target, design your application in a 44-pixel rhythm for optimal tapability.

The book gives an overview on how you can structure your application with the card view, tree view or combined models so that the user does not get confused where he is and can navigate your app easily. I really appreciated the controls overview, a thorough explanation behind the Apple standard controls made me an apple-fan for a short while. The book also discusses gestures, what types of creative designs are useful and how to play nice with other apps on the phone.

In short, there's a lot of gold in this book if you're an app developer. I am sure I will forget and relearn many of its recommendations and insights but it is always a great idea to get a rundown on a topic from real-life experts.
