---
author: Rien Maertens
title: "State of the WPI"
created_at: 14-07-2018
description: Een terugblik op het jaar 2017-2018 in Zeus WPI.
---

Beste Zeusers, Zeusinnen en andere organismen

Ook tijdens de vakantie zit Zeus niet stil: tussen de [wekelijkse codenights in](/blog/17-18/codenights/) is een vers Zeus-bestuur uit de startblokken geschoten om het academiejaar 2018-2019 vorm te geven. Het belooft een interessant nieuw werkingsjaar te worden. Een [enthousiaste ploeg](/blog/17-18/bestuur-18-19), bestaande uit drie jonge enthousiastelingen die worden gecompenseerd door evenveel oude rotten die hun broek al meerdere jaren in Zeus versleten hebben, ziet het 27ste werkingsjaar al helemaal zitten.

Dit jaar werd het idee geopperd om via dit soort blogposts iedereen die Zeus nauw in het hart draagt up-to-date te houden met wat er momenteel leeft binnen Zeus. Bij deze maak ik gebruik van de komkommertijd om het afgelopen jaar van onze vereniging in kaart te brengen. Dit wordt een korte samenvatting van de projecten, evenementen en andere fratsen die we met Zeus allen samen beleefd hebben. Tot slot geef ik een klein voorproefje van wat we voor volgend jaar in petto hebben.

# Projecten

<%= figure 'https://zeus.ugent.be/zeuswpi/VR5kfjQq.jpg', 'De Zeus kelder tijdens de Hydra-codenight' %>

Dit is waar Zeus voornamelijk om draait: samen op codenights zitten vloeken op je eigen en andermans code, met naast je laptop een lege doos Bami Babi Pangang van _Ocean 'kwartiertje' Garden_ en een halfvol flesje Club Mate. Ik durf met trots te zeggen dat er dit jaar nieuw leven in het projectleven van Zeus geblazen is.

Op kop staat **MOZAIC**, ons in-house framework om programmeerwedstrijden in allerlei vormen en maten mee te kunnen spelen. Doorheen het hele jaar is dit het project dat het meest is gegroeid op vlak van lijntjes code, aantal vaste developers en grootte van de Git-repository (met dank aan Arthur die besliste alle gecompileerde Rust-bestanden in één keer toe te voegen).

Verder staan de ideeën voor **G2** (uitgesproken als _geetwee_) klaar om volgend jaar van start te gaan. Dit wordt [Gamification](https://zeus.ugent.be/game) 2.0 die de _gateway_ gaat worden naar onze projectwerking door het makkelijker te maken om aan een project mee te werken en de organisatie (issues, documentatie, ...) zal stroomlijnen.

Tal van andere projecten zijn ook nog steeds springlevend: **zeus.ugent.be** (weldra [zeus.gent](https://zeus.gent)) wordt nog altijd onderhouden en regelmatig verschijnen er nieuwe events en blogposts. Aan **Hydra** (dé app voor de UGent-student) wordt ook nog altijd gesleuteld, o.a. de integratie met Minerva wordt steeds beter en beter. De _"Choose for me"_-knop is de nieuwste killer-feature van **Haldis** (ons eetbestelsysteem) geworden en de _[frecency](https://en.wikipedia.org/wiki/Frecency)_ van **Tap** (ons drankbestelsysteem) werd gefixed.

# Events

<%= figure 'https://zeus.ugent.be/zeuswpi/UrQ_Y-6v.jpg', 'Een aangename drukte tijdens de Hashcode' %>

Op het vlak van evenementen hebben we ook niet stilgezeten: op de Zeus-site staan dit jaar 14 events, dit is zonder de vele codenights, 12urenloop, BBQ, ... Niet enkel op het vlak van kwantiteit mogen we trots zijn, veel Zeus events hebben hun voorganger meer dan overtroffen. Een greep uit het aanbod van afgelopen jaar:

Spelletjes spelen, daar zijn we goed in. Niet alleen op enkele **spelletjesavonden** in samenwerking met PRIME, maar ook op de **LAN-party**. Goed dat we ons daarvoor opgesteld hadden in twee zalen, zo konden de meer dan 100 man toch comfortabel samen hun favoriete games spelen.

Met de **TECH Talkz** in samenwerking met [CenEka](http://ceneka.ugent.be/) en de **Lightning Talks** konden Zeus leden allerlei nieuw kennis opdoen, van onze vrijheden op het internet tot het bouwen van een kleine zeppelin bestuurbaar over WiFi. In totaal konden maar liefst 13 sprekers hun zegje doen.

Ook aan programmeerwedstrijden hadden we genoeg: we zijn er dit jaar in geslaagd de 131 ingeschreven kandidaten van de **Hashcode** in auditorium A3 te proppen en van alle hubs stonden wij globaal op de derde plaats als je de scores van alle teams in een hub optelde. De **Vlaamse Programmeerwedstrijd** kreeg opnieuw een delegatie van de UGent op bezoek met een door Zeus geregelde bus en op de finale van **Bottlebats** gingen Robin en zijn bot met een echte beker naar huis.

<%= figure 'https://zeus.ugent.be/zeuswpi/Uu-AyvIT.jpg', 'Een snijdende spanning tijdens de epische Bottlebats finale.' %>

Dit jaar waren we ook opnieuw aanwezig op de **12Urenloop**, hopelijk het laatste jaar dat we problemen mochten ondervinden met de oude Gyrids (voor volgend jaar staan er gloednieuwe Espressobins klaar, waarin 10 lijntjes bash hetzelfde doen als het verschrikkelijke spaghettimonster die in de Gyrids te vinden was). Tijdens dit event hebben we Count-Von-Count gecompileerd gekregen, condensators doorgebrand, ethernetkabels gelegd, manueel zitten tellen, gereboot tot een systeem kapot of gefixed was, Gyrid 103 vervloekt tot het einde der tijden en samen met enkele andere werkgroepen van het WVK onze schoenen/knieën/planten versleten.

# Wat is er nog allemaal gebeurd dit jaar?

Naast projecten en evenementen zijn de volgende feitjes nog noemenswaardig om te vermelden:

- Onze vloer geeft nu grijs stof af in plaats van het traditionele rood
- We zijn steeds meer applicaties aan het overzetten naar onze nieuwe fancy domeinnaam [zeus.gent](https://zeus.gent).
- We hebben een nieuwe server, met als hostname `herbert`, waar we spiksplinternieuwe applicaties op draaien zoals een self-hosted GitLab-server op [git.zeus.gent](https://git.zeus.gent).
- Het bestuur heeft besloten om het erelidmaatschap te evalueren
- De [verslagen](<%= @items['/about/verslagen.erb'].path %>)-pagina is een ding, net zoals een pagina met de Zeus-[historiek](<%= @items['/about/historiek.erb'].path %>)
- De rode draad bevestig je best aan de positieve pool van een batterij, de zwarte of blauwe draad moet aan de negatieve pool
- Partnerships: we willen meer _zinvolle_ samenwerkingen met bedrijven. Niet zomaar een logo op de site plaatsen in ruil voor geld. Maar eerder evenementen samen met bedrijven (zoals de FPGA-workshop met Sigasi en de Lasershoot met Delaware)

<%= figure 'https://zeus.ugent.be/zeuswpi/5UyqYlnb.jpg', 'Het effect van een omgekeerde stroomzin op een Gyrid' %>

# Wat staat er allemaal te gebeuren volgend jaar?

- De Linux Install Party komt terug
- Op de introductiedag plannen we MOZAIC in te schakelen om de nieuwe eerstejaars naar de kelder te lokken
- Een bezoekje aan de flikkerende lichtjes en oorverdovende fans van de supercomputer in S10
- Opnieuw een hoop workshops, lessen en wedstrijden zoals we die gewoon zijn van Zeus
- Zoals altijd: samen in de kelder zitten coden aan de meest coole, brakke, awesome of nutteloze projecten in de geschiedenis van de mensheid
- ...

Tot in de kelder!

_Rien Maertens_<br>
_Voorzitter 17-18_<br>
_Vice-voorzitter 18-19_<br>

