---
title: "Let's chat about chatting"
created_at: 15-07-2018
description: Wat context rond de plannen om van chat-applicatie te veranderen
author: Wout Schellaert
---

Hallo Zeus-leden

In deze blogpost vatten we samen wat er binnen Zeus gedacht en gezegd wordt over chatplatformen. Wat er belangrijk is, wat er mis gaat, en wat de andere opties zijn. We polsen hierbij ook graag naar jullie mening over deze zaken (zie verder). Maar goed, let's go.

Eerst wat context: Zeus publiceert updates via de website, Facebook en de mailinglijst, maar de meeste _gesprekken_ worden gevoerd op de chat, op Slack. Toen ik lid werd (ondertussen toch vier jaar geleden) was IRC al dood (hier toch), en Slack heeft de voorbije jaren trouw aan onze noden voldaan.

> Waarom dan veranderen?
>
> -- Veel mensen

Het bestuur is er, zoals veel andere gebruikers, van overtuigd dat Slack nu de industry-standard is wat gebruiksgemak betreft. De UX is schitterend, zowel in de webview als de app. Er zijn integraties beschikbaar met talrijke services zoals GitHub en Google Drive, en we behoren allemaal tot 5 andere teams die ook Slack gebruiken.

Er zijn echter ook een aantal stevige argumenten tegen het gebruik van Slack, waarvan de essentie kan samengevat worden als: we hebben geen controle. Slack is een closed-source, proprietary, remotely hosted oplossing. Een _bedrijf_?? Dat is natuurlijk geen argument an sich, maar het business model impliceert wel een aantal zaken voor de free-tier die Zeus nu gebruikt:

- Het aantal integraties is gelimiteerd en wij hebben de limiet bereikt (althans voor dat IFTTT werd verwijderd). Nu geïnstalleerd zijn: GitHub, Google Drive & Calendar, Dropbox, en Travis.
- De source code is niet beschikbaar, aanpasbaar, kopieerbaar, etc... We hoeven niet allemaal Richard Stallman te zijn, maar we moeten wel toegeven dat het niet helemaal in lijn ligt met wat Zeus probeert te promoten.
- De backlog is gelimiteerd tot 10.000 berichten, wat voor enkele van de serieuzere kanalen soms tot een probleem leidt en de zoekfunctie soms helemaal onbruikbaar maakt.
- De interoperability is gelimiteerd. Zo sloot Slack onlangs zijn IRC en XMPP gateways volledig en de integraties die als bridges proberen te fungeren zijn door API-limitaties helaas ook vrij gelimiteerd in gebruiksvriendelijkheid.

Andere argumenten houden bvb in:

- RAM-hogging van de client
- Privacy concerns
- Mislukt threading model

De vraag is dus:

> Is er een ander (open) platform waarmee deze problemen op te lossen zijn?

Het huidig Zeus-bestuur denkt alvast van wel. We zijn ons bewust van het gemak van Slack, maar we proberen ook een oog te hebben voor de principes van Zeus. De mate waarin pragmatisch met deze principes omgesprongen wordt is door de jaren heen natuurlijk variabel geweest en hangt sterk af van context en alternatieven. Nu zijn we schijnbaar op een punt gekomen dat die coole, open en hackable alternatieven er zijn. We zijn vooral aan het kijken naar [Matrix](https://matrix.org/blog/home/), [RocketChat](https://rocket.chat/) en [Zulip](https://zulipchat.com/), maar andere suggesties zijn zeker welkom.

Omdat Zeus meer is dan zijn bestuur, polsen (!= stemmen) we toch eens graag naar jullie mening. We hebben bijvoorbeeld een bovengemiddelde alumni-werking en veel van onze 'ouwe zakken' blijven actief in communicatie met de nieuwere generaties. Bij deze dan ook een kleine [poll](https://docs.google.com/forms/d/e/1FAIpQLSfbkIWCUp3-QiyttC4nY-nv-YMmajG94o71K04RlDhyyhIZwA/viewform).

Om samen te vatten: Slack is heel aangenaam, maar er zijn een aantal fundamentele problemen (zoals de gesloten aard). Er lijken heel mooie alternatieven te zijn. Vul de poll in en we beslissen samen over wat we doen!

Groetjes

Wout Schellaert<br/>
PR 18-19<br/>
Project 17-18<br/>
Voorzitter 16-17

# FAQ

- Is Slack nog een optie? Ja.
- Welk platform geniet de voorkeur van het bestuur? Matrix, Zulip.
- Zal er eerst een proefperiode zijn? Ja, we zullen eerst wat experimenteren met wat de beste opties zijn, wat integraties migreren en over het algemeen de gebruikerservaring testen voor we een grote 'migreer allemaal' oproep doen.
- My meeeemeees? Ok.
- Is betalende Slack een optie? Neen (minstens 500 euro/jaar).
- Is educatieve goedkopere Slack een optie? Neen, je krijgt een aantal credits, maar die zouden met ons leden aantal na drie maanden op zijn.
